#pragma once

#include "CoreMinimal.h"
#include "LockerEnterInteraction.h"
#include "LockerJumpScarePropStruct.h"
#include "LockerJumpScareEnterInteraction.generated.h"

class AActor;

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class ULockerJumpScareEnterInteraction : public ULockerEnterInteraction
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FLockerJumpScarePropStruct> _propInfos;

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TArray<AActor*> _spawnedPropActors;

public:
	ULockerJumpScareEnterInteraction();
};

FORCEINLINE uint32 GetTypeHash(const ULockerJumpScareEnterInteraction) { return 0; }
